VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Escribe en modo EPP"
   ClientHeight    =   2400
   ClientLeft      =   915
   ClientTop       =   1410
   ClientWidth     =   3690
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2400
   ScaleWidth      =   3690
   Begin VB.CommandButton Command2 
      Caption         =   "Salir"
      Height          =   375
      Left            =   1200
      TabIndex        =   1
      Top             =   1920
      Width           =   1455
   End
   Begin VB.CommandButton cmdWriteToPort 
      Caption         =   "Comenzar"
      Height          =   732
      Left            =   960
      TabIndex        =   0
      Top             =   360
      Width           =   1932
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Programa DAC1
' Prueba de escritura al DAC0830 por el port LPT en modo EPP.
' Se genera una rampa de 0 a 5V, escribiendo secuencialmente
' numeros de 0 a 255.
' Se inyecta en pin 11 de LPT ( seal /WAIT), la seal de /WRITE
' pero invertida con un negador CD4049 para engaar a la PC como
' que el DAC acusa recibo del dato escrito.
' pin 3 de CD4049 a pin 1 de LPT.
' pin 2 de CD4049 a pin 11 de LPT.
' Ademas se conecta /WRITE al pin 18 del DAC para refrescar la
' informacin cuando hay dato valido.
' Se usa un 741 como conversor I/V. pin2 de 741 a pin 11 de DAC
' y pin 9 de 741 a pin 6 del 741.
' pin 3 de 741 a GND.
' pin 12 de DAC0830 a GND.
' pines 1, 2 y 3 de DAC0830 a GND.
' pin 19 de DAC0830 a Vcc.
' pin 18 de DAC0830 a pin 1 de LPT.
' La unica linea que se emplea de las habilitaciones de los
' latches es la del pin 18 del DAC0830, que se conecta a /WRITE
' directamente.
' IMPORTANTE:
' 1) Se debe habilitar el modo EPP desde el SET-UP.
' 2) Se debe borrar el bit 5 del registro de control de LPT para
'    poder escribir en el registro PortAddress + 4.
' Mediciones con el osciloscopio:
' Se genera una rampa de 0 a 5V ( 0 a 255) tardando 0.7ms, lo que
' da un tiempo entre muestras de 0.7/256 ms = 2.73 us.
' Fecha: 11-04-2000

Option Explicit
Dim Value As Integer
Dim Seno As Double
Dim PortAddress As Integer
Dim m As Integer
Dim a As Integer

Private Sub cmdWriteToPort_Click()
Value = 0
Seno = 0
Do While DoEvents()
a = 0
Do
    a = a + 1
Loop While a < 100
Out PortAddress + 4, Seno
Seno = 127 + 90 * Sin(0.017444 * Value)
Value = Value + 1
If Value = 360 Then Value = 0
Loop
End Sub
Private Sub Command2_Click()
End
End Sub

Private Sub Form_Load()
Value = 0
quit = 0
PortAddress = &H378
Out PortAddress + 2, 32
Out PortAddress + 2, 0
End Sub
